:root{
    --topBarHeight: 100px;
    --backgroundColor: rgb(53, 53, 53);
}
:root, body, html{
    padding: 0;
    margin: 0;
    background-color: var(--backgroundColor);
}

#game-of-life{
    padding: 0;
    margin: 0;
    position: absolute;    
    left: 50%;
    top: calc(50% + var(--topBarHeight) / 2);
    transform: translateX(-50%) translateY(-50%);
    justify-content: center;
    align-items: center;
}

#winText{
    font-family: Arial, Helvetica, sans-serif;
    position: absolute;
    left: 50%;
    top: 50%;
    border-radius: 20px;
    display: none;
    color: white;
    font-size: calc(16px + 7vw);
    transform: translateX(-50%) translateY(-50%);
}

#screenSize{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
}

#topBar{
    height: var(--topBarHeight);
}

#topBar img{
    height: 100%;
}

#pieChart{
    position: absolute;
    right: 5px;
    top: 5px;
    z-index: 5;
    height: calc(var(--topBarHeight) - 10px);
    width: calc(var(--topBarHeight) - 10px);
}

.centerImg{
    margin-top: 30px;
    max-width: 50%;
    position: relative;
}


#welcome{
    z-index: 100;
    background-color: var(--backgroundColor);
    position: absolute;
    width: 100%;
    min-height: 100vh;
    text-align: center;
    color: white;
    font-family: Consolas, 'Courier New', Courier, monospace;
}

a{
    color: white;
    text-decoration: underline;
}

button{
    background-color: white;
    color: black;
    border-radius: 15px;
    font-size: 20px;
    border: none;
    margin-bottom: 40px;
}